Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Interface WebSocket.Outbound

All Known Subinterfaces:
  WebSocketConnection

All Known Implementing Classes:
  WebSocketConnectionD00

Enclosing interface:
  WebSocket

    public static interface WebSocket.Outbound

Method Summary
`void` | `disconnect()`
`boolean` | `isOpen()`
`void` | `sendFragment(boolean more, byte opcode, byte[] data, int offset, int length)`
`void` | `sendMessage(byte opcode, byte[] data, int offset, int length)`
`void` | `sendMessage(byte opcode, java.lang.String data)`
`void` | `sendMessage(java.lang.String data)`

Method Detail

### sendMessage

    void sendMessage(java.lang.String data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendMessage

    void sendMessage(byte opcode,
                     java.lang.String data)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendMessage

    void sendMessage(byte opcode,
                     byte[] data,
                     int offset,
                     int length)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendFragment

    void sendFragment(boolean more,
                      byte opcode,
                      byte[] data,
                      int offset,
                      int length)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### disconnect

    void disconnect()

### isOpen

    boolean isOpen()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.